<?php
// $Id: yr-forecast-block-location.tpl.php,v 1.1 2009/09/13 12:04:04 tjodolv Exp $

/**
 * @file yr-forecast-block-location.tpl.php
 * Template file for a single location in the yr_verdata block.
 * 
 * Available variables:
 * $location: An array of properties.
 * # name: The name of the location, linked to the full-page forecast at this site.
 * # symbol: An image of the "main weather type".
 * # wind: An array, with the most important value being 'img': an image of a wind-arrow.
 * # temp: An array with the temperature value as 'val' and a class-name for styling with colour as 'class'.
 * # pressure: The pressure value with the unit notation.
 * # time: The day and period for this forecast.
 */
?>
<div class="yr-forecast-block-location">
  <p class="yr-location-name"><?php print $location['name']; ?></p>
  <p><?php print $location['time']; ?></p>
  <p><span class="yr-symbol"><?php print $location['symbol']; ?></span>
  <span class="yr-temp <?php print $location['temp']['class']; ?>"><?php print $location['temp']['val']; ?></span>
  <span class="yr-wind"><?php print $location['wind']['img']; ?></span></p>
  <p class="yr-precip"><?php print $location['precip']; ?></p>
  <p class="yr-pressure"><?php print $location['pressure']; ?></p>
</div>